Contents
Index 🔎︎

# FindObject Function

Umožňuje adresovať objekty za behu programu ako parametre typu string použitím názvu objektu.

Napríklad nasledujúci príkaz:

    MyObj.Prop1.Command = 5

zodpovedá bloku príkazov:

    Dim ObjVar as Object
    Dim ObjProp as Object
    ObjName As String = "MyObj"
    ObjVar = FindObject( ObjName As String )
    PropName As String = "Prop1"
    ObjProp = FindPropertyObject( ObjVar, PropName As String )
    ObjProp.Command = 5

Toto umožňuje dynamicky za behu vytvárať názvy. Napríklad:

"TextEdit1" to "TextEdit5" in a loop to create five control names.

Pozri tiež: FindPropertyObject

## Syntax:

    FindObject( ObjName As String )

## Paremetre:

NázovObjektu: Reťazec určujúci názov objektu, ktorý chcete za behu adresovať.

### Error codes:

5 Neplatné volanie procedúry

12 Nedefinovaná premenná